package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.dto.PayPageDto;
import com.fasterxml.jackson.core.JsonProcessingException;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.Map;


/**
 * @author chnegyan
 */
public interface TestWxPayService {
    /**
     * 测试-微信支付
     * @Param
     * @return
     */
    R<Map<String, String>> wxPay(PayPageDto payPageDto, HttpServletResponse response);

    R<String> h5WxPay(PayPageDto payPageDto,HttpServletRequest request,  HttpServletResponse response) throws JsonProcessingException;

    R<String> WxPayApplets(PayPageDto payPageDto,HttpServletRequest request,  HttpServletResponse response) throws JsonProcessingException;
    /***
     *支付成功回调
     * @param request
     * @param response
     * @return
     */
    void wxPayCallBack(HttpServletRequest request, HttpServletResponse response) throws Exception;

    R<Map<String,String>> wxQuery(String out_trade_no) throws Exception;

}
